Loading...
Searching...
No Matches
EffectBase.h File Reference

Header file for EffectBase class. More...

`#include "ClipBase.h"`
`#include "Json.h"`
`#include "TrackedObjectBase.h"`
`#include <memory>`
`#include <map>`
`#include <string>`

Go to the source code of this file.

## Classes

class | openshot::EffectBase
| This abstract class is the base class, used by all effects in libopenshot. More...
struct | openshot::EffectInfoStruct
| This struct contains info about an effect, such as the name, video or audio effect, etc... More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for EffectBase class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file EffectBase.h.